Subject: Re: [PATCH v4 00/23] System cross-compilation

From: Mathieu Othacehe <[email-masked]>
Date: Fri, 18 Oct 2019 14:17:28 +0200

Hello,

Quick update on this serie. The gexp patch has been pushed to master.
Now, I would like to push this serie by the end of the month. The only
wobbly part is the patch 02, where I add a cmake-minimal-cross for
this reason: https://lists.gnu.org/archive/html/guix-patches/2019-09/msg00498.html.
Any kind reviewer on this topic :) ?

Thanks,

Mathieu

Le mer. 2 oct. 2019 à 11:59, Mathieu Othacehe <[email-masked]> a écrit :
>
> Hello,
>
> Here's a v4 of the serie. Since v3, half of the patches were pushed to
> core-update-next. Among the remaining patches, I could not find a better
> solution to cmake native-search-path issue.
>
> I also turned libl python2 and python3 outputs into separate libnl-python2 and
> libnl-python3 packages, so to avoid turning the output field into a thunked
> field.
>
> Thanks,
>
> Mathieu
>
> Mathieu Othacehe (21):
>   gnu: openssl: Fix cross-compilation.
>   gnu: cmake: Fix cross-compilation.
>   gnu: groff: Fix cross compilation.
>   gnu: cyrus-sasl: Fix cross-compilation.
>   gnu: icu4c: Fix cross-compilation.
>   gnu: boost: Fix cross-compilation.
>   gnu: eudev: Fix cross-compilation.
>   gnu: bdb: Fix cross-compilation.
>   gnu: openldap: Fix cross-compilation.
>   gnu: swig: Fix cross-compilation.
>   gnu: git: Fix cross-compilation.
>   gnu: doxygen: Fix cross-compilation.
>   gnu: guile-gcrypt: Fix cross-compilation.
>   gnu: guile-sqlite3: Fix cross-compilation.
>   gnu: libnl: Move python outputs to separate packages.
>   gexp: Use cross extensions when cross-compiling.
>   utils: Use target-aarch64? and target-arm? helpers.
>   build: vm: Fix arm32 support.
>   system: vm: Add arm64 support.
>   system: vm: Support cross-compilation.
>   scripts: system: Add --target option.
>
> Pierre-Moana Levesque (2):
>   gnu: crda: Fix cross-compilation
>   gnu: cmake: Fix cross-compilation.
>
>  gnu/build/vm.scm                              |  27 +++-
>  gnu/local.mk                                  |   3 +
>  gnu/packages/boost.scm                        |  59 +++++--
>  gnu/packages/cmake.scm                        |  14 +-
>  gnu/packages/cyrus-sasl.scm                   |  17 +-
>  gnu/packages/dbm.scm                          |   6 +-
>  gnu/packages/documentation.scm                |  12 +-
>  gnu/packages/gnupg.scm                        |  18 ++-
>  gnu/packages/groff.scm                        |  22 ++-
>  gnu/packages/guile.scm                        |   7 +-
>  gnu/packages/icu4c.scm                        |  35 +++-
>  gnu/packages/linux.scm                        | 149 +++++++++++-------
>  gnu/packages/openldap.scm                     |  38 ++++-
>  gnu/packages/patches/boost-dumpversion.patch  |  24 +++
>  .../patches/cyrus-sasl-ac-try-run-fix.patch   |  12 ++
>  .../guile-sqlite3-fix-cross-compilation.patch |  55 +++++++
>  gnu/packages/swig.scm                         |   1 +
>  gnu/packages/tls.scm                          |  62 ++++++--
>  gnu/packages/version-control.scm              |  23 ++-
>  gnu/system.scm                                |  15 +-
>  gnu/system/vm.scm                             |  33 ++--
>  guix/build-system/cmake.scm                   |   9 +-
>  guix/gexp.scm                                 |   4 +-
>  guix/scripts/system.scm                       |  15 +-
>  guix/utils.scm                                |   8 +
>  25 files changed, 535 insertions(+), 133 deletions(-)
>  create mode 100644 gnu/packages/patches/boost-dumpversion.patch
>  create mode 100644 gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch
>  create mode 100644 gnu/packages/patches/guile-sqlite3-fix-cross-compilation.patch
>
> --
> 2.23.0
>